From 43392df226dda4b34c817827025ada8942028542 Mon Sep 17 00:00:00 2001
From: Enno Boland <gottox@voidlinux.org>
Date: Thu, 18 Jul 2019 11:43:42 +0200
Subject: [PATCH 1/2] ModemManager: move dbus config to /usr.

---
 srcpkgs/ModemManager/template | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/srcpkgs/ModemManager/template b/srcpkgs/ModemManager/template
index c55682c98dc..51baf932b50 100644
--- a/srcpkgs/ModemManager/template
+++ b/srcpkgs/ModemManager/template
@@ -29,6 +29,11 @@ pre_configure() {
 	sed -i configure -e"s; -Werror;;g"
 }
 
+post_install() {
+	mkdir -p $DESTDIR/usr/share/dbus-1/system.d
+	mv $DESTDIR/etc/dbus-1/system.d/org.freedesktop.ModemManager1.conf $DESTDIR/usr/share/dbus-1/system.d
+}
+
 ModemManager-devel_package() {
 	depends="libmm-glib>=${version}_${revision}"
 	short_desc+=" - development files"

From 89d84878782676828604fb965e0e1b050b844dcb Mon Sep 17 00:00:00 2001
From: Enno Boland <gottox@voidlinux.org>
Date: Thu, 18 Jul 2019 11:44:06 +0200
Subject: [PATCH 2/2] ModemManager: add service

---
 srcpkgs/ModemManager/files/ModemManager/run | 3 +++
 srcpkgs/ModemManager/template               | 3 ++-
 2 files changed, 5 insertions(+), 1 deletion(-)
 create mode 100755 srcpkgs/ModemManager/files/ModemManager/run

diff --git a/srcpkgs/ModemManager/files/ModemManager/run b/srcpkgs/ModemManager/files/ModemManager/run
new file mode 100755
index 00000000000..42ac44fbc3e
--- /dev/null
+++ b/srcpkgs/ModemManager/files/ModemManager/run
@@ -0,0 +1,3 @@
+#!/bin/sh
+sv check dbus >/dev/null || exit 1
+exec ModemManager > /dev/null 2>&1
diff --git a/srcpkgs/ModemManager/template b/srcpkgs/ModemManager/template
index 51baf932b50..5e72470b0e9 100644
--- a/srcpkgs/ModemManager/template
+++ b/srcpkgs/ModemManager/template
@@ -1,7 +1,7 @@
 # Template file for 'ModemManager'
 pkgname=ModemManager
 version=1.10.4
-revision=1
+revision=2
 build_style=gnu-configure
 build_helper="gir"
 configure_args="--disable-static --with-polkit=permissive
@@ -32,6 +32,7 @@ pre_configure() {
 post_install() {
 	mkdir -p $DESTDIR/usr/share/dbus-1/system.d
 	mv $DESTDIR/etc/dbus-1/system.d/org.freedesktop.ModemManager1.conf $DESTDIR/usr/share/dbus-1/system.d
+	vsv ${pkgname}
 }
 
 ModemManager-devel_package() {
